<?php

/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 * 
 */
function optionsframework_option_name() {
    $optionsframework_settings = get_option('optionsframework');
    $optionsframework_settings['id'] = OPTIONS_FRAMEWORK_TAG;
    update_option('optionsframework', $optionsframework_settings);
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the "id" fields, make sure to use all lowercase and no spaces.
 *  
 */
function optionsframework_options() {

    $options = array();

    $options[] = array("name" => "Basic Settings",
        "type" => "heading");

    $options[] = array("name" => "Thumbnail Width",
        "desc" => "Thumbnail width (changing this will require thumbnails to be regenerated, this plugin will help: <a href='http://wordpress.org/extend/plugins/regenerate-thumbnails/' target='_blank'>Regenerate Thumbnails</a>).",
        "id" => "wpsimplegallery_thumb_width",
        "std" => "100",
        "class" => "mini",
        "type" => "text");
$options[] = array("name" => "Thumbnail Height",
        "desc" => "Thumbnail height (changing this will require thumbnails to be regenerated, this plugin will help: <a href='http://wordpress.org/extend/plugins/regenerate-thumbnails/' target='_blank'>Regenerate Thumbnails</a>).",
        "id" => "wpsimplegallery_thumb_height",
        "std" => "100",
        "class" => "mini",
        "type" => "text");

    return $options;
}